#
# spec file for package python-hyperlink
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-hyperlink
Version:        17.2.1
Release:        3.2.1
Summary:        Immutable URL support for Python
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/python-hyper/hyperlink
Source:         https://files.pythonhosted.org/packages/source/h/hyperlink/hyperlink-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
Hyperlink provides a pure-Python implementation of immutable URLs
based on RFC 3986 and 3987.

%prep
%setup -q -n hyperlink-%{version}

%build

%python_build

%install
%python_install

%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Tue Jul  4 2017 jengelh@inai.de
- Replace description.
* Tue Jul  4 2017 tbechtold@suse.com
- initial packaging (version 17.2.1)
